#!/bin/bash

echo
echo "Uninstalling older vSnap kernel modules"
echo

# On older vSnaps, the kmod packages are simply named like 'kmod-zfs'
# On newer vSnaps, the packages are named 'kmod-zfs-<kernel>' and there
# may be multiple such packages present for different kernels. We need 
# to find them all and uninstall them.

rpm -qa 2>/dev/null | grep ^kmod-zfs | while read rpmname; do
	pkgname=$(rpm -q --qf "%{NAME}" ${rpmname} 2>/dev/null)
	if [[ -n $pkgname ]]; then
		yum remove -y $pkgname
	fi
done

rpm -qa 2>/dev/null | grep ^kmod-spl | while read rpmname; do
	pkgname=$(rpm -q --qf "%{NAME}" ${rpmname} 2>/dev/null)
	if [[ -n $pkgname ]]; then
		yum remove -y $pkgname
	fi
done

yum remove -y zfs spl libzfs2 libnvpair1 libuutil1 libzpool2 zfs-dracut spl-debuginfo zfs-debuginfo spl-kmod-debuginfo zfs-kmod-debuginfo

